org.apache.http.impl.cookie

## Class RFC2109SpecProvider

- java.lang.Object
- - org.apache.http.impl.cookie.RFC2109SpecProvider

All Implemented Interfaces:
  CookieSpecProvider

    @Obsolete
    @Contract(threading=IMMUTABLE_CONDITIONAL)
    public class RFC2109SpecProvider
    extends Object
    implements CookieSpecProvider

`CookieSpecProvider` implementation that provides an instance of `RFC2109Spec`. The instance returned by this factory can be shared by multiple threads.

Rendered obsolete by `RFC6265CookieSpecProvider`

Since:
  4.4
See Also:
  `RFC6265CookieSpecProvider`

### Constructor Summary

Constructors
Constructor and Description
`RFC2109SpecProvider()`
`RFC2109SpecProvider(PublicSuffixMatcher publicSuffixMatcher)`
`RFC2109SpecProvider(PublicSuffixMatcher publicSuffixMatcher, boolean oneHeader)`

### Method Summary

Methods
`CookieSpec` `create(org.apache.http.protocol.HttpContext context)` Creates an instance of `CookieSpec`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RFC2109SpecProvider

    public RFC2109SpecProvider(PublicSuffixMatcher publicSuffixMatcher,
                       boolean oneHeader)

#### RFC2109SpecProvider

    public RFC2109SpecProvider(PublicSuffixMatcher publicSuffixMatcher)

#### RFC2109SpecProvider

    public RFC2109SpecProvider()

### Method Detail

#### create

    public CookieSpec create(org.apache.http.protocol.HttpContext context)

Description copied from interface: `CookieSpecProvider`
Creates an instance of `CookieSpec`.

Specified by:
  `create` in interface `CookieSpecProvider`
Returns:
  auth scheme.